# fichier de tests du projet

import matplotlib.pyplot as plt

# project libs importations
import lib.ultra_mastermind_obj as libobj
import lib.ultra_mastermind_imp as libimp
import lib.ultra_mastermind_pp_imp as libppimp

# Variation du nombre de générations
PM = "Hello, world!"
# NG = 2000
N  = 400
TS = 0.5
TM = 0.25
ALPHA = 0.5
FITNESS_METHOD = 3

fitness_ng = []
all_ng = []

for i in range(1, 11):
	NG = i * 200
	all_ng.append(NG)
	pop = libppimp.new_population(PM, NG, N, TS, TM, ALPHA, FITNESS_METHOD)
	libppimp.run(pop)
	fitness_ng.append(libppimp.get_fitness(pop, libppimp.get_best(pop)))

plt.plot(all_ng, fitness_ng)
plt.title("Fitness du meilleur individu en fonction du nombre de générations")
plt.xlabel("Nombre de générations")
plt.ylabel("Fitness du meilleur individu")
plt.show()

# Variation du nombre de générations
PM = "Hello, world!"
NG = 500
# N  = 400
TS = 0.5
TM = 0.25
ALPHA = 0.5
FITNESS_METHOD = 3

fitness_n = []
all_n = []

for i in range(1, 11):
	N = i * 100
	all_n.append(N)
	pop = libppimp.new_population(PM, NG, N, TS, TM, ALPHA, FITNESS_METHOD)
	libppimp.run(pop)
	fitness_n.append(libppimp.get_fitness(pop, libppimp.get_best(pop)))

plt.plot(all_n, fitness_n)
plt.title("Fitness du meilleur individu en fonction de la taille de population")
plt.xlabel("Taille de population")
plt.ylabel("Fitness du meilleur individu")
plt.show()

